
<!-- Warning: This file has been autogenerated by tools/makedoc.py. Manual edits will be overwritten. -->
<html>
    <head>
        <title>freesmartphone.org PIM.MessageQuery Interface</title>
        <link rel="stylesheet" type="text/css" href="http://git.freesmartphone.org/?p=specs.git;a=blob_plain;f=html/style.css;hb=HEAD" />
    </head>
    <body>
    <div class="topbox">freesmartphone.org Framework DBus Interface Specification</div>


<h1>org.freesmartphone.PIM.MessageQuery</h1><h2>Description</h2>
<p>Represent the result of a Query</p>
<h2>Namespace</h2>
<p><tt>org.freesmartphone.PIM.MessageQuery</tt></p>
<h2>Methods</h2><ul>
<li><a href="#GetResultCount">GetResultCount</a></li>
<li><a href="#Rewind">Rewind</a></li>
<li><a href="#Skip">Skip</a></li>
<li><a href="#GetMessagePath">GetMessagePath</a></li>
<li><a href="#GetResult">GetResult</a></li>
<li><a href="#GetMultipleResults">GetMultipleResults</a></li>
<li><a href="#Dispose">Dispose</a></li>
</ul>
<h2>Signals</h2><ul>
<li><a href="#MessageAdded">MessageAdded</a></li>
</ul>
<h2>Properties</h2><i>None</i>
<h2>Errors</h2><i>None</i>
<h1>Methods</h1><h3><a name="GetResultCount">GetResultCount</a> ( ) &rarr; i</h3>
<p><i>Description:</i> Return the number of items in the query result </p><h4>Returns</h4><i>i: count</i><p>Number of contacts in the query result. </p>
<h3><a name="Rewind">Rewind</a> ( )</h3><p><i>Description:</i> Rewind the result cursor to the first message (for this dbus client only) </p>
<h3><a name="Skip">Skip</a> ( i )</h3>
<p><i>Description:</i> Skip n messages in the result cursor (for this dbus client only) </p><h4>Parameters</h4><i>i: count</i><p>Amount of messages to skip </p>
<h3><a name="GetMessagePath">GetMessagePath</a> ( ) &rarr; s</h3>
<p><i>Description:</i> Path for the message the result cursor points to. </p><h4>Returns</h4><i>s: message_path</i><p>The path to the message. </p>
<h3><a name="GetResult">GetResult</a> ( ) &rarr; a{sv}</h3>
<p><i>Description:</i> Return the next message in the query result, and move the query to the next message. </p><h4>Returns</h4><i>a{sv}: item</i><p>Fields of the message. </p>
<h3><a name="GetMultipleResults">GetMultipleResults</a> ( i ) &rarr; aa{sv}</h3>
<p><i>Description:</i> Get multiple message from the result set at once. </p><h4>Parameters</h4><i>i: count</i><p>The amount of messages to get from the result set. A negative value means all. </p><h4>Returns</h4><i>aa{sv}: resultset</i><p>The list of the returned messages data. </p>
<h3><a name="Dispose">Dispose</a> ( )</h3><p><i>Description:</i> Delete the query result object. </p>
<h1>Signals</h1><h3><h3><a name="MessageAdded">MessageAdded</a> ( s )</h3><p><i>Description:</i> Sent when a new message which matches this query is loaded. </p><h4>Parameters</h4><i>s: message_path</i><p>The path of the newly loaded message. </p></h3>

    <hr/>
    <small>
    | Specified 2008-2012 by the <a href="http://www.freesmartphone.org">Freesmartphone.org</a> team. | Join us and discuss further drafts smartphones-standards (at) linuxtogo (dot) org
    </small>
    <hr/>
    </body>
</html>

